Subject: Re: [Iptel] draft-rosen-iptel-dialstring-05

From: "Yu, James" <[email-masked]>
Date: Fri, 10 Nov 2006 21:14:48 -0500

Brian,

Just a suggestion.  "phone-context" is mandatory when "user=dialstring".  But when the damain part in the sip: URI is the same as that in the "phone-context" it could save a few bytes if "phone-context" is not needed in this special situation.

James
------Original Message------
From: Brian Rosen
To: [email-masked]
Sent: Oct 20, 2006 5:23 PM
Subject: [Iptel] draft-rosen-iptel-dialstring-05

I have submitted an update to -dialstring.  Until it appears in the
archives, you may pick up a copy from:
http://www.brianrosen.net/internet-drafts/draft-rosen-iptel-dialstring-05.tx
t

an .html is also available.

The changes in this version are:
1. After lengthy discussion, I changed the position of the phone-context
parameter to match what a tel uri with a phone-context parameter looks like
when converted to a sip URI.  This means it goes before the '@'
2. I created an ABNF description of this, defining a new "dialstring"
alternative for 'user-info' in a sip URI.
3. I expanded the definition of the dialstring syntax to include "*" and "#"
(as well as E and F)
4. I added a SHOULD NOT use a dialstring as an AoR in a Register

Hopefully, this resolves all issues, and the draft is ready for the IESG to
progress

Brian

_______________________________________________
Iptel mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/iptel

--------------------------
Sent from my BlackBerry Wireless Handheld
_______________________________________________
Iptel mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/iptel